;*************************************************************************
.include "tn12def.inc"
;-------------------------------------------------------------------------
;				Constant definitions
;-------------------------------------------------------------------------
.equ	xtal		= 1200000	;1.2MHz (max 4.8MHz)

.equ	reload1sec	= (xtal / 64 + 128 ) / 256

.equ	MATCH_ROM	= 0x55
.equ	SKIP_ROM	= 0xCC
.equ	SEARCH_ROM	= 0xF0

.equ	CONVERT_T	= 0x44
.equ	READ_T		= 0xBE
.equ	WRITE_T		= 0x4E
.equ	STORE_EE	= 0x48
.equ	RECALL_EE	= 0xB8

.equ	SEARCH_FIRST	= 0xFF	; start new search
.equ	PRESENCE_ERR	= 0xFF
.equ	DATA_ERR	= 0xFF
.equ	LAST_DEVICE	= 0x00
				; 0x01 ... 0x7F: continue searching

;-------------------------------------------------------------------------
;				Using register
;-------------------------------------------------------------------------
.equ	romcode		= 1		;r1..r8 store 1 wire address

.def	SaveSreg	= r9		;for interrupt usage
;-------------------------------------------------------------------------
.def	key_reg		= r16		;only bit 3..0 used
.equ	key_state	= 2
.equ	key_press	= 3

.def	Flags 		= r16		;only bit 7..4 used
.equ	second1		= 5		;1 second gone

.def	prescaler	= r17		;1 second time base

.def	sensors		= r18		;count up all sensors are found
.def	count		= r19		;loop counter
.def	meas_delay	= r20		;measuring delay

.def	temp_l		= r21		;temperature value
.def	temp_h		= r22

.def	a0		= r27		;working registers
.def	a1		= r28
.def	a2		= r29		;lcd: a0..a2
.def	a3		= r31		;1wire: a0..a3, zl
.def	z0		= r30		;z pointer
.def	z1		= r31
;-------------------------------------------------------------------------
;				Port definitions
;-------------------------------------------------------------------------
.equ	lcd_ddr		= ddrb		;LCD lines
.equ	lcd_port	= portb
.equ	lcd_e		= PB3
.equ	lcd_rs		= PB4
.equ	lcd_ck		= PB0

.equ	key_out		= PORTB
.equ	key_ddr		= DDRB
.equ	key_in		= PINB
.equ	key_pin		= PB2		;switch

.equ	w1_out		= PORTB
.equ	w1_ddr		= DDRB
.equ	w1_in		= PINB
.equ	w1_pin		= PB1		;1-wire data line
;-------------------------------------------------------------------------
